Package org.eclipse.jdt.core.manipulation

## Interface ICUCorrectionProposal

All Known Implementing Classes:
  `ASTRewriteCorrectionProposal`, `CUCorrectionProposal`, `CUCorrectionProposalCore`

    public interface ICUCorrectionProposal

Since:
  1.11

### Method Summary

All Methods Instance Methods Abstract Methods
`TextChange` `getTextChange()` Returns the text change that is invoked when the change is applied.

### Method Detail

#### getTextChange

    TextChange getTextChange()
                      throws CoreException

Returns the text change that is invoked when the change is applied.

Returns:
  the text change that is invoked when the change is applied
Throws:
  `CoreException` - if accessing the change failed